<!--#set var="pageTitle" val="Applications" option="translate:lic_pageTitle" -->
<!--#set var="pageSubTitle" val="$app$" option="translate:lic_pageSubTitle" -->
<!--#set var="helpURL" val="javascript:launch('/help/packages_h.shtml')" -->
<!--#set var="WizardFormAction" val="noAction" -->
<!--#set var="activeMenu" val="apps" -->
<!--#set var="activeMenu1" val="$app$" -->
<!--#set var="activePage" val="license_$app$" -->

<!--#include virtual="/incl/top_incl.shtml" -->
<!--#include virtual="/sm/sm.srv?action=get&group=Properties.System" -->
<!--#include virtual="/sm/sm.srv?action=get&group=Brand" -->
<!--#exec cmd="/usr/html/bin/devtools.sh echo_ssivar_licensekey $app$" -->

<script type="text/javascript" src="/incl/zxml.js"></script>

<script language="JavaScript">

function print_no_conn_text()
{
	document.write("<!--#language id="lic_AutoTxt" text="When this device is connected to the Internet, the license key can be retrieved and installed automatically by providing the license code.<br><br>This device does currently <b>not</b> have internet connection and therefore automatic installation is <b>not</b> possible." -->"); 
}

function errors(error)
{
  if (error == "1") {
    alert("<!--#language id="lic_err1Txt" text="Incorrect serial number." -->");
  } else if (error == "2") {
    alert("<!--#language id="lic_err2Txt" text="The product could not be identified." -->");
  } else if (error == "3") {
    alert("<!--#language id="lic_err3Txt" text="Incorrect license code." -->");
  } else if (error == "4") {
    alert("<!--#language id="lic_err4Txt" text="This license code has been cancelled." -->");
  } else if (error == "5") {
    alert("<!--#language id="lic_err5Txt" text="This license code has been used already." -->");
  } else if (error == "6") {
    alert("<!--#language id="lic_err6Txt" text="A trial application has already been registered on this device." -->");
  } else if (error == "7") {
    alert("<!--#language id="lic_err7Txt" text="This application is not ensured to be compatible to run on this device." -->");
  } else if (error == "8") {
    alert("<!--#language id="lic_err8Txt" text="No application or version supplied." -->");
  } else if (error == "9") {
    alert("<!--#language id="lic_err9Txt" text="This application has already been registerd on the device using a different code." -->");
  } else if (error == "10") {
    alert("<!--#language id="lic_err10Txt" text="Check name, country and email address." -->");
  } else if (error == "21") {
    alert("<!--#language id="lic_err21Txt" text="Invalid license key file." -->");
  } else if (error == "22") {
    alert("<!--#language id="lic_err22Txt" text="File upload failed." -->");
  } else if (error == "23") {
    alert("<!--#language id="lic_err23Txt" text="Failed to remove the license key file." -->");
  } else if (error == "24") {
    alert("<!--#language id="lic_err24Txt" text="The application does not seem to be correctly installed." -->");
  } else if (error == "25") {
    if (confirm("<!--#language id="lic_err25Txt" text="The application ID of the key does not match the one in the installed application.\nInstall license key anyway?" -->")) {
      var form = document.upLicenseKey;
      form.action += '?action=installlicensekey&package=<!--#echo var="app" option="encoding:url" -->&reload_page=yes';
      form.submit();
    }
  } else if (error == "26") {
    if (confirm("<!--#language id="lic_err26Txt" text="The application version is not in the range that is allowed for this license key.\nInstall license key anyway?" -->")) {
      var form = document.upLicenseKey;
      form.action += '?action=installlicensekey&package=<!--#echo var="app" option="encoding:url" -->&reload_page=yes';
      form.submit();
    }
  } else if (error == "27") {
    alert("<!--#language id="lic_err27Txt" text="Failed to connect to www.axis.com.\nMake sure that the device has internet access\nand that the network settings are correct." -->");
  } else if (error == "28") {
    alert("<!--#language id="lic_err28Txt" text="Failed to receive the license key from the Axis web service." -->");
  } else if (error == "29") {
    alert("<!--#language id="lic_err29Txt" text="Bad configuration file for application." -->");
  } else if (error == "30") {
    if (confirm("<!--#language id="lic_err30Txt" text="The serial number associated with the key does not match that of the product.\nInstall license key anyway?" -->")) {
      var form = document.upLicenseKey;
      form.action += '?action=installlicensekey&package=<!--#echo var="app" option="encoding:url" -->&reload_page=yes';
      form.submit();
    }
  } else if (error == "31") {
    if (confirm("<!--#language id="lic_err31Txt" text="The license key has expired.\nInstall license key anyway?" -->")) {
      var form = document.upLicenseKey;
      form.action += '?action=installlicensekey&package=<!--#echo var="app" option="encoding:url" -->&reload_page=yes';
      form.submit();
    }
  }
}


var autoInstallStatus = zXmlHttp.createRequest();

function autoInstall()
{
  var customerInfoString = customerInfo()

  if (customerInfoString != "invalid") {
    autoInstallStatus.open("GET", "/axis-cgi/applications/license.cgi?action=autoinstalllicensekey&package=<!--#echo var="app" option="encoding:url" -->&device_id=<!--#echo var="root_Properties_System_SerialNumber" option="encoding:url" -->" + customerInfoString  + "&device_name=<!--#echo var="root_Brand_ProdShortName" option="encoding:url" -->", true);
    autoInstallStatus.onreadystatechange = showAutoInstallStatus;
    autoInstallStatus.send("");
  }
}

function showAutoInstallStatus()
{
  if (autoInstallStatus.readyState == 4) {
    if (autoInstallStatus.status == 200) {
      if (autoInstallStatus.responseText.indexOf("Error") != -1) {
        var errorCode = autoInstallStatus.responseText.slice(7);
        errors(errorCode);
      } else {
        document.location = "/app_license_custom.shtml?app=<!--#echo var="app" option="encoding:url" -->&id=<!--#echo var="ssi_request_id" option="encoding:url" -->";
      }
    }
  }
}


function removeLicenseKey()
{
  if (confirm("<!--#language id="lic_ArYoSuRemConfirm" text="Are you sure you want to remove the installed license key?" -->")) {
    var form = document.remLicenseKey;
    form.submit();
  }
}

function uploadLicenseKey() {
  if (document.getElementById("licFileTextbox").value == "") {
      alert("<!--#language id="lic_NoFileSelctd" text="Please select a license file to upload first." -->");
      return;
  }
<!--#if expr="$license_key != none" -->
  if (!confirm("<!--#language id="lic_ALicKeyIsInConfirm" text="A license key is already installed. This will replace\nthe existing license key, are you sure you want to proceed?" -->")) {
    return;
  }
<!--#endif -->
  var form = document.upLicenseKey;
  form.action += '?action=uploadlicensekey&package=<!--#echo var="app" option="encoding:url" -->&reload_page=yes';
  try {
    form.submit();
  } catch (e) {
    alert("\"" + form.lic_file.value + "\" <!--#language id="lic_NotAValidFile" text="is not a valid file." -->");
  }
}

<!--#if expr="$license_key != none" -->
function formatKey()
{
  var agent = navigator.userAgent.toLowerCase();
  if (agent.indexOf("applewebkit/") == -1) {
    var theKey = document.getElementById("licenseKeyInfo").innerHTML;
    document.getElementById("licenseKeyInfo").innerHTML = "";
    while (theKey.length > 22) {
      theName = theKey.substring(theKey.indexOf("&lt;")+4, theKey.indexOf("&gt;"))
      theKey = theKey.slice(theKey.indexOf("&gt;")+4)
      if (theName != "LicenseKey") {
        theValue = theKey.substring(0, theKey.indexOf("&lt;"))
        if (theValue.length > 70) theValue = theValue.substring(0, 60) + "<br>" + theValue.substring(60, 130) + "<br>" + theValue.slice(130);
        document.getElementById("licenseKeyInfo").innerHTML += theName + ": " + theValue + "<br>";
        theKey = theKey.slice(theKey.indexOf(theName)+4+theName.length)
      }
    }
  }
}
<!--#endif -->

</script>
</head>
<body>

<table border="0" cellpadding="3" cellspacing="0" width="100%" valign="top" class="alternaterows">

  <tr>
    <td colspan="4" class="subTitle"><!--#language id="lic_InstalledLicense" text="Installed license key" --></td>
  </tr>
  <tr>
    <td colspan="4">
      <table border="0" cellpadding="1" cellspacing="1" width="100%">
        <tr>
          <td class="fixed" colspan="3">
            <table border="1" cellpadding="1" cellspacing="0" width="100%">
              <tr>
                <td colspan="1" height="23">
                  <table border="0" cellpadding="3" cellspacing="1" width="100%">
                    <tr>
                      <td width="100%">
                      <!--#if expr="$license_key != none" -->
                        <pre><span id="licenseKeyInfo"><!--#echo var="license_key" option="encoding:html" --></span></pre>
                        <script>formatKey();</script>
                      <!--#endif -->
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
        </td>
      </table>
    </td>
    <form name="remLicenseKey" action="/axis-cgi/applications/license.cgi?action=removelicensekey&package=<!--#echo var="app" option="encoding:url" -->&reload_page=yes" method="POST" enctype="multipart/form-data">
      <tr>
        <td class="button"><input type="button" name="lic_remove" value="<!--#language id="lic_RemBtn" text="Remove" -->" width="75" class="btnNormal"<!--#if expr="$license_key = none" --> disabled<!--#endif --> onclick="removeLicenseKey()"<br><br></td>
      </tr>
    </form>
  <tr>
    <td colspan="4" class="subTitle"><!--#language id="lic_ManualHdr" text="Manual installation" --></td>
  </tr>
  <tr>
    <td colspan="4"><!--#language id="lic_ManualTxt" text="To retrieve a license key for this application, go to " --><a href="http://www.axis.com/techsup/compatible_applications/" target=_blank>www.axis.com</a><!--#language id="lic_Manual2Txt" text=" and enter your license code together with the serial number of this device. This device's serial number is: <b>$root_Properties_System_SerialNumber$</b>.<br>" --> </td>
  </tr>
<form name="upLicenseKey" action="/axis-cgi/applications/license.cgi" method="POST" enctype="multipart/form-data">
  <tr>
    <td colspan="4" nowrap>
      <!--#language id="NameTxt" text="License key file to upload:" -->
      <input type="file" id="licFileTextbox" name="lic_file" value="<!--#language id="lic_BrowseLicenseTxt" text="Browse..." -->"><br><br>
    </td>
  </tr>
  <tr>
    <td colspan="4" class="button">
      <input type="button" name="lic_upload" value="<!--#language id="lic_UploadBtn" text="Install" -->" width="75" class="btnNormal" onclick="uploadLicenseKey()"><br><br>
    </td>
  </tr>
</form>

<form name="customerInformation">
  <tr>
    <td colspan="4" class="subTitle"><!--#language id="lic_AutoHdr" text="Automatic installation" --></td>
  </tr>
<!--#exec cmd="/usr/local/packages/DigitalAutotracking/script.sh loadlicform" -->
</form>
</table>

<script>
  errors("<!--#echo var="error" option="encoding:javascript" -->");
</script>
